%define	name	edb
%define	version 1.0.5.004
%define release 0.%{cvsrel}.1mdk

%define cvsrel 20050904

%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: 	Enlightenment database access library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://get-e.org/
Source: 	%{name}-%{cvsrel}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ncurses-devel gtk-devel zlib-devel
BuildRequires:	multiarch-utils

%description
Edb is a simple, clean high-level db access/storage library.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q -n %name

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%multiarch_binaries %buildroot/%_bindir/%name-config

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README src/LICENSE
%{_bindir}/edb_*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%_libdir/libedb.so
%_libdir/libedb.*a
%{_includedir}/Edb.h
%multiarch %{multiarch_bindir}/edb-config
%{_bindir}/edb-config

%changelog
* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20050904.1mdk
- new cvs checkout

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050524.1mdk
- new cvs checkout

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.3mdk
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.2mdk
- devel provides %name-devel

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.1mdk
- make specfile look the way I like
- new cvs checkout
- new e17 URL

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1.20040913.1mdk
- 1.0.5 20040913

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030724.1mdk
- 20030724

* Tue Jun 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030624.1mdk
- 20030624
- use mklibname

* Tue May 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030513.1mdk
- update to 20030513 CVS

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.3-1mdk
- 1.0.3
- update url
- fix requires/provides

* Fri Aug 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-3mdk
- fix provides in lib and lib-devel package
- make rpmlint happy about %%post %%postun	

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- rebuild

* Tue Mar 13 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- Shamelessly rip out the spec from the Imlib2 ftp.

